#koboldworks-pf1-starter-bag-config {
	.item-list {
		list-style: none;
		padding: 0;
		margin: 0;

		overflow: hidden auto;
		height: 100%;

		display: flex;
		flex-flow: column nowrap;
		gap: 3px;

		.item,
		.header {
			display: flex;
			flex-flow: row nowrap;

			column-gap: 0.5rem;
		}

		.image {
			flex: 0 24px;
			width: 24px;
			height: 24px;

			display: inline-flex;
			align-items: center;
			place-content: center;
		}
		.name {
			flex: 5 12rem;
		}
		.type {
			flex: 1 4rem;
		}
		.source {
			flex: 1 4rem;
		}
		.controls {
			flex: 0 3rem;

			text-align: center;

			.control-item:hover {
				text-shadow: 0 0 3px red;
			}
		}

		.name,
		.source,
		.type {
			overflow: hidden;
			text-overflow: ellipsis;
		}

		.image,
		.name,
		.source,
		.type,
		.controls {
			align-self: center;
		}

		.item {
			&:nth-child(odd) {
				background-color: hsla(0, 0%, 0%, 0.05);
			}

			&:hover {
				background-color: hsla(48, 42%, 40%, 0.19);
			}

			&.directory,
			&.nameless {
				background-color: hsla(38, 100%, 50%, 0.07);

				&:nth-child(odd) {
					background-color: hsla(38, 100%, 50%, 0.15);
				}

				&:hover {
					background-color: hsla(28, 100%, 29%, 0.2);
				}
			}

			&.missing {
				background-color: hsla(0, 100%, 50%, 0.07);
				font-style: italic;

				&:nth-child(odd) {
					background-color: hsla(0, 100%, 50%, 0.15);
				}

				&:hover {
					background-color: hsla(0, 100%, 29%, 0.2);
				}
			}
		}
	}

	.header {
		font-weight: bold;
		line-height: 2rem;
		position: sticky;
		top: 0;
	}

	.help {
		padding: 0.5rem;
		text-align: center;
	}

	.header,
	.help {
		background-color: hsl(35deg 2% 48%);
		color: hsl(28deg 41% 91%);
		text-shadow: 0 0 3px black;
	}

	.no-items {
		text-align: center;
	}
}
